Update a rate
curl --request PATCH \
--url https://api.example.com/exchange/rates/{id} \
--header 'Content-Type: application/json' \
--data '
{
"buy": 100,
"sell": 75000,
"ttl": 60
}
'import requests
url = "https://api.example.com/exchange/rates/{id}"
payload = {
"buy": 100,
"sell": 75000,
"ttl": 60
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({buy: 100, sell: 75000, ttl: 60})
};
fetch('https://api.example.com/exchange/rates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"buy": 1200,
"created_at": "2025-01-21T11:56:45Z",
"entity": {
"id": "397752fb-92e6-404a-b6e4-d9d72f1379f9",
"type": "business"
},
"id": "83b16397-d524-4619-b30f-e5e77b1b8d17",
"pair": "USD-NGN",
"sell": 1100,
"ttl": 60,
"updated_at": "2025-01-21T11:56:46Z"
}
}"<string>"{}exchange
Update a rate
PATCH
/
exchange
/
rates
/
{id}
Update a rate
Path Parameters
Rate ID
Body
application/json
Update params
Response
Rate
Response schema for a single order
Currency rate
Show child attributes
Show child attributes
Example:
{
"buy": 1200,
"created_at": "2025-01-21T11:56:45Z",
"entity": {
"id": "397752fb-92e6-404a-b6e4-d9d72f1379f9",
"type": "business"
},
"id": "83b16397-d524-4619-b30f-e5e77b1b8d17",
"pair": "USD-NGN",
"sell": 1100,
"ttl": 60,
"updated_at": "2025-01-21T11:56:46Z"
}
⌘I